Bug 57833 - Symbols required for exception marshaling are [dead]stripped away
Summary: Symbols required for exception marshaling are [dead]stripped away
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: 15.4
Assignee: Rolf Bjarne Kvinge [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-06-28 13:37 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2017-07-28 09:38 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Rolf Bjarne Kvinge [MSFT] 2017-06-28 13:37:37 UTC
Repro:

* Run https://github.com/xamarin/mac-ios-samples/tree/master/ExceptionMarshaling on device (if Debug won't repro, Release will).

Result:

* An EntryPointNotFoundException.
Comment 1 Rolf Bjarne Kvinge [MSFT] 2017-06-28 13:38:56 UTC
master: https://github.com/xamarin/xamarin-macios/pull/2261
Comment 2 Rolf Bjarne Kvinge [MSFT] 2017-06-28 15:12:26 UTC
fixed (master): https://github.com/xamarin/xamarin-macios/commit/22a01fd6f8d8605191792d2e5e7b1ae489d19b0e
Comment 4 Neeraj Deshmukh 2017-07-28 09:38:12 UTC
Verified on Visual Studio Enterprise 2017 for Mac (Preview)
Gist: https://gist.github.com/gangrade-swati/77c8c0ea29b9bf291ffb806317956bce